
package scripts.dict

import cn.lihongjie.coal.base.dto.CommonQuery
import cn.lihongjie.coal.dingtalkBotScene.controller.DingtalkBotSceneController
import com.fasterxml.jackson.databind.ObjectMapper
import org.springframework.context.ApplicationContext

ApplicationContext ioc = ioc

def controller = ioc.getBean(DingtalkBotSceneController.class)
def objectMapper = ioc.getBean(ObjectMapper.class) as ObjectMapper




return controller.list(params!=null ? objectMapper.convertValue(params, CommonQuery.class ) : new CommonQuery())


